# hyprdots

Setup & Configuration for Hyprland.

Best way to start off is install KDE first and make changes.

These dotfiles are managed by [chezmoi](https://www.chezmoi.io/).

> [!IMPORTANT]
> This repo will be moved to https://git.envs.net/gb/hyprdots. The original one is still available, but it will receive updates less frequently.

> [!WARNING]
> Since I'm starting to use kde plasma (again) so the updates to hyprland part would be slower, but other parts will be updated normally.

> [!WARNING]
> You may need to migrate existing configuration to `XDG` base folders, see [XDG Base Directory - ArchWiki](https://wiki.archlinux.org//title/XDG_Base_Directory) for details. To check whether to migrate, use [xdg-ninja](https://github.com/b3nj5m1n/xdg-ninja).

# Quickstart
1. install chezmoi
check [Install - chezmoi](https://www.chezmoi.io/install)

for archlinux:
```shell
pacman -S chezmoi
```
2. apply dotfiles
simply overwrite:
```shell
chezmoi init https://git.envs.net/gb/hyprdots.git && chezmoi apply -v
```
merge maually:
```shell
chezmoi init https://git.envs.net/gb/hyprdots.git && chezmoi merge $FILE
```

# Dependencies
- waybar
- rofi, rofimoji
- kitty
- mako
- dolphin
- gnome polkit
- grimblast
- hyprpicker, hypridle, hyprlock, hyprpaper
- qt6ct,qt5ct
- cliphist
- udiskie
- networkmanager_dmenu
- gradience-git
- darkman

# Themes
- Graphite Nord (Light) | Nordic (Dark) (gtk2/3)
- gradience nord (gtk4 & libadwaita)
- Utterly-Nord (qt)
- papirus (icon)
- ~~Nordzy-cursors~~ Bibata-Modern-Ice (cursors)
